研究及附来源简报
读取私人研究对话
在当前访问权、来源和 24 小时提供期限允许时重新打开私人问题及不可信的附来源答案。需要 agent:research。
POST /research-api/conversations/get契约审核日期: · sha256:ab393e91e9b7f18a
概览
在当前访问权、来源和 24 小时提供期限允许时重新打开私人问题及不可信的附来源答案。需要 agent:research。
成功 HTTP 响应可能表示请求已接受,并非已完成。背景工作请存储返回 ID,持续检查同一操作直到完成。已排程或已接受的帖子,只有平台确认后才算已发布;客户端逾时无法证明结果。
验证与权限
令牌只能使用其所有者持有的权利。每次请求会检查工作区成员资格、资源拥有权、所选工作区及已授予能力。core 与 full 配置只变更显示的工具,不会授予访问权限。
请求字段
「必填」是指在其父对象及所选分支内必填。必填子字段不会使可选父对象变成必填。下列规则与字段名称均复制自契约。
| 字段 / 分支 | 类型 / 必填 | 约束 |
|---|---|---|
$ | object在父对象中必填 |
|
workspace_id | string在父对象中必填 |
|
conversation_id | string在父对象中必填 |
|
完整 JSON Schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"workspace_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"conversation_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
}
},
"required": [
"workspace_id",
"conversation_id"
],
"additionalProperties": false
}响应与完成
成功 HTTP 状态:200。操作完成时: current authorized conversation; availability and expiry govern source content.
成功 HTTP 响应可能表示请求已接受,并非已完成。背景工作请存储返回 ID,持续检查同一操作直到完成。已排程或已接受的帖子,只有平台确认后才算已发布;客户端逾时无法证明结果。
「必填」是指在其父对象及所选分支内必填。必填子字段不会使可选父对象变成必填。下列规则与字段名称均复制自契约。
| 字段 / 分支 | 类型 / 必填 | 约束 |
|---|---|---|
$ | object在父对象中必填 | — |
conversation | object在父对象中必填 | — |
conversation.id | string在父对象中必填 |
|
conversation.workspace_id | string在父对象中必填 |
|
conversation.revision | integer在父对象中必填 |
|
conversation.title | string | null在父对象中必填 | — |
conversation.titleanyOf 1 | string在父对象中必填 |
|
conversation.titleanyOf 2 | null在父对象中必填 | — |
conversation.context | object在父对象中必填 | — |
conversation.context.project_id | string在父对象中必填 |
|
conversation.context.project_revision | integer在父对象中必填 |
|
conversation.context.corpus_snapshot_id | string在父对象中必填 |
|
conversation.context.evidence | array在父对象中必填 |
|
conversation.context.evidence[] | object可选/项目 | — |
conversation.context.evidence[].evidence_id | string在父对象中必填 |
|
conversation.context.evidence[].revision | integer在父对象中必填 |
|
conversation.language | string在父对象中必填 |
|
conversation.archived | boolean在父对象中必填 | — |
conversation.availability | string在父对象中必填 |
|
conversation.created_at | string在父对象中必填 |
|
conversation.expires_at | string在父对象中必填 |
|
messages | array在父对象中必填 |
|
messages[] | object可选/项目 | — |
messages[].id | string在父对象中必填 |
|
messages[].run_id | string在父对象中必填 |
|
messages[].role | string在父对象中必填 |
|
messages[].question | string | null在父对象中必填 | — |
messages[].questionanyOf 1 | string在父对象中必填 |
|
messages[].questionanyOf 2 | null在父对象中必填 | — |
messages[].answer | object | null在父对象中必填 | — |
messages[].answeranyOf 1 | object在父对象中必填 | — |
messages[].answer.answeranyOf 1 | object在父对象中必填 | — |
messages[].answer.answer.statementanyOf 1 | string在父对象中必填 |
|
messages[].answer.answer.basisanyOf 1 | string在父对象中必填 |
|
messages[].answer.answer.evidenceanyOf 1 | array在父对象中必填 |
|
messages[].answer.answer.evidence[]anyOf 1 | object可选/项目 | — |
messages[].answer.answer.evidence[].evidence_idanyOf 1 | string在父对象中必填 |
|
messages[].answer.answer.evidence[].revisionanyOf 1 | integer在父对象中必填 |
|
messages[].answer.answer.uncertaintyanyOf 1 | string在父对象中必填 |
|
messages[].answer.findingsanyOf 1 | array在父对象中必填 |
|
messages[].answer.findings[]anyOf 1 | object可选/项目 | — |
messages[].answer.findings[].statementanyOf 1 | string在父对象中必填 |
|
messages[].answer.findings[].basisanyOf 1 | string在父对象中必填 |
|
messages[].answer.findings[].evidenceanyOf 1 | array在父对象中必填 |
|
messages[].answer.findings[].evidence[]anyOf 1 | object可选/项目 | — |
messages[].answer.findings[].evidence[].evidence_idanyOf 1 | string在父对象中必填 |
|
messages[].answer.findings[].evidence[].revisionanyOf 1 | integer在父对象中必填 |
|
messages[].answer.findings[].uncertaintyanyOf 1 | string在父对象中必填 |
|
messages[].answer.sentimentanyOf 1 | array在父对象中必填 |
|
messages[].answer.sentiment[]anyOf 1 | object可选/项目 | — |
messages[].answer.sentiment[].evidence_idanyOf 1 | string在父对象中必填 |
|
messages[].answer.sentiment[].revisionanyOf 1 | integer在父对象中必填 |
|
messages[].answer.sentiment[].labelanyOf 1 | string在父对象中必填 |
|
messages[].answer.sentiment[].uncertaintyanyOf 1 | string在父对象中必填 |
|
messages[].answer.query_suggestionsanyOf 1 | array在父对象中必填 |
|
messages[].answer.query_suggestions[]anyOf 1 | object可选/项目 | — |
messages[].answer.query_suggestions[].queryanyOf 1 | string在父对象中必填 |
|
messages[].answer.query_suggestions[].excluded_termsanyOf 1 | array在父对象中必填 |
|
messages[].answer.query_suggestions[].excluded_terms[]anyOf 1 | string可选/项目 |
|
messages[].answer.query_suggestions[].evidenceanyOf 1 | array在父对象中必填 |
|
messages[].answer.query_suggestions[].evidence[]anyOf 1 | object可选/项目 | — |
messages[].answer.query_suggestions[].evidence[].evidence_idanyOf 1 | string在父对象中必填 |
|
messages[].answer.query_suggestions[].evidence[].revisionanyOf 1 | integer在父对象中必填 |
|
messages[].answer.query_suggestions[].rationaleanyOf 1 | string在父对象中必填 |
|
messages[].answer.limitationsanyOf 1 | array在父对象中必填 |
|
messages[].answer.limitations[]anyOf 1 | string可选/项目 |
|
messages[].answer.quantitative_claimsanyOf 1 | boolean在父对象中必填 |
|
messages[].answer.method_versionanyOf 1 | string在父对象中必填 |
|
messages[].answeranyOf 2 | null在父对象中必填 | — |
messages[].created_at | string在父对象中必填 |
|
messages[].expires_at | string在父对象中必填 |
|
runs | array在父对象中必填 |
|
runs[] | object可选/项目 | — |
runs[].id | string在父对象中必填 |
|
runs[].workspace_id | string在父对象中必填 |
|
runs[].conversation_id | string在父对象中必填 |
|
runs[].conversation_revision | integer在父对象中必填 |
|
runs[].generation | integer在父对象中必填 |
|
runs[].request_kind | string在父对象中必填 |
|
runs[].status | string在父对象中必填 |
|
runs[].failure_code | string | null在父对象中必填 | — |
runs[].failure_codeanyOf 1 | string在父对象中必填 |
|
runs[].failure_codeanyOf 2 | null在父对象中必填 | — |
runs[].created_at | string在父对象中必填 |
|
runs[].expires_at | string在父对象中必填 |
|
runs[].processor | string在父对象中必填 |
|
runs[].model_id | string | null在父对象中必填 | — |
runs[].model_idanyOf 1 | string在父对象中必填 |
|
runs[].model_idanyOf 2 | null在父对象中必填 | — |
runs[].model_version | string | null在父对象中必填 | — |
runs[].model_versionanyOf 1 | string在父对象中必填 |
|
runs[].model_versionanyOf 2 | null在父对象中必填 | — |
availability | object在父对象中必填 | — |
availability.configured | boolean在父对象中必填 | — |
availability.reason | string | null在父对象中必填 | — |
availability.reasonanyOf 1 | string在父对象中必填 |
|
availability.reasonanyOf 2 | null在父对象中必填 | — |
availability.processor | string在父对象中必填 |
|
availability.retention_hours | number在父对象中必填 |
|
完整 JSON Schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"conversation": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"workspace_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"revision": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"title": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 200
},
{
"type": "null"
}
]
},
"context": {
"type": "object",
"properties": {
"project_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"project_revision": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"corpus_snapshot_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"evidence": {
"minItems": 1,
"maxItems": 20,
"type": "array",
"items": {
"type": "object",
"properties": {
"evidence_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"revision": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
}
},
"required": [
"evidence_id",
"revision"
]
}
}
},
"required": [
"project_id",
"project_revision",
"corpus_snapshot_id",
"evidence"
]
},
"language": {
"type": "string",
"minLength": 1,
"maxLength": 35
},
"archived": {
"type": "boolean"
},
"availability": {
"type": "string",
"enum": [
"available",
"expired",
"source_unavailable",
"access_changed",
"archived"
]
},
"created_at": {
"type": "string",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
"format": "date-time"
},
"expires_at": {
"type": "string",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
"format": "date-time"
}
},
"required": [
"id",
"workspace_id",
"revision",
"title",
"context",
"language",
"archived",
"availability",
"created_at",
"expires_at"
]
},
"messages": {
"maxItems": 40,
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"run_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"role": {
"type": "string",
"enum": [
"user",
"assistant"
]
},
"question": {
"anyOf": [
{
"type": "string",
"maxLength": 2000
},
{
"type": "null"
}
]
},
"answer": {
"anyOf": [
{
"type": "object",
"properties": {
"answer": {
"type": "object",
"properties": {
"statement": {
"type": "string",
"minLength": 1,
"maxLength": 2000
},
"basis": {
"type": "string",
"enum": [
"observed",
"inferred",
"generated"
]
},
"evidence": {
"minItems": 1,
"maxItems": 20,
"type": "array",
"items": {
"type": "object",
"properties": {
"evidence_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"revision": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
}
},
"required": [
"evidence_id",
"revision"
]
}
},
"uncertainty": {
"type": "string",
"maxLength": 1000
}
},
"required": [
"statement",
"basis",
"evidence",
"uncertainty"
]
},
"findings": {
"maxItems": 12,
"type": "array",
"items": {
"type": "object",
"properties": {
"statement": {
"type": "string",
"minLength": 1,
"maxLength": 2000
},
"basis": {
"type": "string",
"enum": [
"observed",
"inferred",
"generated"
]
},
"evidence": {
"minItems": 1,
"maxItems": 20,
"type": "array",
"items": {
"type": "object",
"properties": {
"evidence_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"revision": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
}
},
"required": [
"evidence_id",
"revision"
]
}
},
"uncertainty": {
"type": "string",
"maxLength": 1000
}
},
"required": [
"statement",
"basis",
"evidence",
"uncertainty"
]
}
},
"sentiment": {
"maxItems": 20,
"type": "array",
"items": {
"type": "object",
"properties": {
"evidence_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"revision": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"label": {
"type": "string",
"enum": [
"positive",
"negative",
"neutral",
"mixed",
"unknown"
]
},
"uncertainty": {
"type": "string",
"maxLength": 1000
}
},
"required": [
"evidence_id",
"revision",
"label",
"uncertainty"
]
}
},
"query_suggestions": {
"maxItems": 5,
"type": "array",
"items": {
"type": "object",
"properties": {
"query": {
"type": "string",
"minLength": 1,
"maxLength": 2000
},
"excluded_terms": {
"maxItems": 20,
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 100
}
},
"evidence": {
"minItems": 1,
"maxItems": 20,
"type": "array",
"items": {
"type": "object",
"properties": {
"evidence_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"revision": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
}
},
"required": [
"evidence_id",
"revision"
]
}
},
"rationale": {
"type": "string",
"minLength": 1,
"maxLength": 1000
}
},
"required": [
"query",
"excluded_terms",
"evidence",
"rationale"
]
}
},
"limitations": {
"minItems": 1,
"maxItems": 10,
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 1000
}
},
"quantitative_claims": {
"type": "boolean",
"const": false
},
"method_version": {
"type": "string",
"const": "research-cited/v1"
}
},
"required": [
"answer",
"findings",
"sentiment",
"query_suggestions",
"limitations",
"quantitative_claims",
"method_version"
]
},
{
"type": "null"
}
]
},
"created_at": {
"type": "string",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
"format": "date-time"
},
"expires_at": {
"type": "string",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
"format": "date-time"
}
},
"required": [
"id",
"run_id",
"role",
"question",
"answer",
"created_at",
"expires_at"
]
}
},
"runs": {
"maxItems": 20,
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"workspace_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"conversation_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"conversation_revision": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"generation": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"request_kind": {
"type": "string",
"enum": [
"question",
"overview",
"themes",
"audiences",
"sentiment",
"query_suggestions"
]
},
"status": {
"type": "string",
"enum": [
"queued",
"processing",
"completed",
"failed",
"cancelled",
"expired",
"unavailable"
]
},
"failure_code": {
"anyOf": [
{
"type": "string",
"enum": [
"not_configured",
"budget_exhausted",
"access_changed",
"source_unavailable",
"context_changed",
"input_too_large",
"provider_unavailable",
"generation_unconfirmed",
"invalid_output",
"cancelled",
"expired",
"conversation_full"
]
},
{
"type": "null"
}
]
},
"created_at": {
"type": "string",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
"format": "date-time"
},
"expires_at": {
"type": "string",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
"format": "date-time"
},
"processor": {
"type": "string",
"const": "Google Gemini"
},
"model_id": {
"anyOf": [
{
"type": "string",
"maxLength": 128
},
{
"type": "null"
}
]
},
"model_version": {
"anyOf": [
{
"type": "string",
"maxLength": 128
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"workspace_id",
"conversation_id",
"conversation_revision",
"generation",
"request_kind",
"status",
"failure_code",
"created_at",
"expires_at",
"processor",
"model_id",
"model_version"
]
}
},
"availability": {
"type": "object",
"properties": {
"configured": {
"type": "boolean"
},
"reason": {
"anyOf": [
{
"type": "string",
"enum": [
"not_configured",
"budget_exhausted",
"access_changed",
"source_unavailable",
"context_changed",
"input_too_large",
"provider_unavailable",
"generation_unconfirmed",
"invalid_output",
"cancelled",
"expired",
"conversation_full"
]
},
{
"type": "null"
}
]
},
"processor": {
"type": "string",
"const": "Google Gemini"
},
"retention_hours": {
"type": "number",
"const": 24
}
},
"required": [
"configured",
"reason",
"processor",
"retention_hours"
]
}
},
"required": [
"conversation",
"messages",
"runs",
"availability"
]
}错误与安全重试
检查 HTTP 状态和响应正文。400 验证错误可能包含 ZodError;处理程序错误使用 error、message 和 code 字段。保留 request_id 或 x-request-id 以便诊断,但不要保留凭证。先解决 401/403 访问错误再重试,并在收到 429 时遵循 Retry-After。如写入结果不确定或返回 5xx,先读取现有结果。仅在支持时复用幂等键;重试行为因操作而异,并不保证恰好交付一次。
故障排查指南示例
这些示例使用已依schema检查的虚构值。请将 ID 替换为你有权使用的 ID、将媒体替换为已就绪素材,并将日期替换为已确认的发布时间。提交写入前,请检查账号资格。本页不会发送 API 请求。
在服务器上将 SOSOAPI_ACCESS_TOKEN 设为此操作接受的凭证,且不要放入浏览器代码。AI 智能代理 请使用 sosoapi auth login 通过浏览器登录,并由 CLI 更新凭证。
request.json
{
"workspace_id": "11111111-1111-4111-8111-111111111111",
"conversation_id": "11111111-1111-4111-8111-111111111111"
}cURL
curl --request POST \
"https://gqeshlawtcexsapabaui.supabase.co/functions/v1/research-api/conversations/get" \
-H "Authorization: Bearer $SOSOAPI_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
--data-binary @request.jsonJavaScript
// Server-side JavaScript. Do not print tokens or credential-bearing responses.
const token = process.env.SOSOAPI_ACCESS_TOKEN;
if (!token) throw new Error("Set an accepted credential for this operation");
const response = await fetch("https://gqeshlawtcexsapabaui.supabase.co/functions/v1/research-api/conversations/get", {
method: "POST",
headers: { "Content-Type": "application/json", Authorization: "Bearer " + token },
body: JSON.stringify({
"workspace_id": "11111111-1111-4111-8111-111111111111",
"conversation_id": "11111111-1111-4111-8111-111111111111"
})
});
const result = await response.json();
// Check response.ok, the operation-specific body and completion state before continuing.CLI
npx sosoapi api post /research-api/conversations/get < request.json合成响应示例
{
"conversation": {
"id": "11111111-1111-4111-8111-111111111111",
"workspace_id": "11111111-1111-4111-8111-111111111111",
"revision": 1,
"title": null,
"context": {
"project_id": "11111111-1111-4111-8111-111111111111",
"project_revision": 1,
"corpus_snapshot_id": "11111111-1111-4111-8111-111111111111",
"evidence": [
{
"evidence_id": "11111111-1111-4111-8111-111111111111",
"revision": 1
}
]
},
"language": "example",
"archived": false,
"availability": "available",
"created_at": "2099-01-15T09:00:00Z",
"expires_at": "2099-01-15T09:00:00Z"
},
"messages": [],
"runs": [],
"availability": {
"configured": false,
"reason": null,
"processor": "Google Gemini",
"retention_hours": 24
}
}